/*  ----------------------------------------------------------------------------
 *  dts.h
 *  Hammerhead Maintenance Controller
 *  ----------------------------------------------------------------------------
 *  Precision Mechatronics Pty Ltd
 *  Created on: 14/10/2010
 *  Author: jandrew
 *  ----------------------------------------------------------------------------
 *
 *  ----------------------------------------------------------------------------
 */


//------------------------------------------------------------------------------
//         Headers
//------------------------------------------------------------------------------

#include <board.h>
#include <pio/pio.h>
#include <utility/trace.h>
#include <math.h>

//------------------------------------------------------------------------------
//         Local definition
//------------------------------------------------------------------------------
#ifndef AT91C_ID_TC0
#if defined(AT91C_ID_TC012)
    #define AT91C_ID_TC0 AT91C_ID_TC012
#elif defined(AT91C_ID_TC)
    #define AT91C_ID_TC0 AT91C_ID_TC
#else
    #error Pb define ID_TC
#endif
#endif

//------------------------------------------------------------------------------
//         Local variables
//------------------------------------------------------------------------------

/// Pins to configure for the application.
const Pin pins[] = {
    PINS_DBGU,
    PIN_USART0_RXD,
    PIN_USART0_TXD,
    PIN_USART0_CTS,
    PIN_USART0_RTS
};



//------------------------------------------------------------------------------
//         Local functions
//------------------------------------------------------------------------------



//------------------------------------------------------------------------------
//         Global functions
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
/// Application entry point. Configures USART0 in hardware handshaking mode and
/// Timer Counter 0 to generate an interrupt every second. Then, starts the first
/// transfer on the USART and wait in an endless loop.
/// \return Unused.
//------------------------------------------------------------------------------
int main(void)
{
    // Configure pins
    PIO_Configure(pins, PIO_LISTSIZE(pins));

    // DBGU configuration
    TRACE_CONFIGURE(DBGU_STANDARD, 115200, BOARD_MCK);
    printf("-- Demo %s --\n\r", SOFTPACK_VERSION);
    printf("-- %s\n\r", BOARD_NAME);
    printf("-- Compiled: %s %s --\n\r", __DATE__, __TIME__);

    volatile double d;
    double x;

    // Infinite loop
	while(1)
	{
		x = sqrt(d);
		//x=fabs(d);
		//x = fmod(d,3.1);
		//x = pow(d,3.1);
	}
}
